<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>App</title>
</head>
<body>
    <table>
        <tr>
            <th>Lp</th>
            <th>Name</th>
            <th>Age</th>
            <th>User type</th>
            <th>Registration date</th>
            <th>Days since registration</th>
        </tr>
        <tr th:each="user, id : ${userList}">
            <td th:text="${id.count}"></td>
            <td th:text="${user.name}"></td>
            <td th:text="${user.age}"></td>
            <td th:switch="${user.userType.toString()}">
                <span th:case="'ADMIN'">Administrator</span>
                <span th:case="'GUEST'">Gosc</span>
                <span th:case="'REGISTERED'">Zaarejstrowany</span>
                <span th:case="*"></span>
            </td>
            <td th:text="${#dates.format(user.registrationDate, 'yyyy-MM-dd HH:mm')}"></td>
            <td th:text="${user.getDaysSinceRegistration()}"></td>
        </tr>
    </table>
</body>
</html>